<div>
    <img class="mb-4 hope-logo" src="../../../assets/hope_logo.svg" alt="">
    <form class="form-register">

        <div class="form-row">
            <div class="form-group col-md-12">
                <label for="inputProviderName">Provider Name:</label>
                <input type="text" name="providerName" [(ngModel)]="newProviderData.providerName" class="form-control" id="inputProviderName" placeholder="" required="">
            </div>
        </div>
    
        <div class="form-row">
            <div class="form-group col-md-12">
                <label for="inputMainAddress">Main Address:</label>
                <input type="text" name="mainAddress" [(ngModel)]="newProviderData.mainAddress" class="form-control" id="inputMainAddress" placeholder="" required="">
    
            </div>
        </div>
    
        <div class="form-row">
            <div class="form-group col-md-12">
                <label for="inputCity">City</label>
                <input type="text" name="city" [(ngModel)]="newProviderData.city" class="form-control" id="inputCity" required="">
            </div>
        </div>


        <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="inputState">State</label>
                    <select id="inputState" name="state" [(ngModel)]="newProviderData.state" class="form-control" required="">
                        <option selected>Choose...</option>
                        <option value="CA">California</option>
                        <option value="SC">South Carolina</option>
                        <option value="WA">Washington</option>
                    </select>
                </div>
            
                <div class="form-group col-md-8">
                    <label for="inputZip">Zip</label>
                    <input type="text" name="postalCode" [(ngModel)]="newProviderData.postalCode" class="form-control" id="inputZip" required="">
                </div>
        
        </div>
    
        <div class="form-row">
            <div class="form-group col-md-12">
                <label for="inputPhoneNumber">Main Phone Number:</label>
                <input type="text" name="mainPhoneNumber" [(ngModel)]="newProviderData.mainPhoneNumber" class="form-control" id="inputPhoneNumber" placeholder="xxx-xxx-xxxx" required="">
            </div>
        </div>

        <div class="form-row">
            <div class="form-group col-md-12">
                <label for="inputEmail">Main Email:</label>
                <input type="email" name="mainEmail" [(ngModel)]="newProviderData.mainEmail" class="form-control" id="inputEmail" placeholder="" required="">
            </div>
        </div>

        <div class="form-row">
            <div class="form-group col-md-12">
                <label for="inputPassword">Password:</label>
                <input type="password" name="password" [(ngModel)]="newProviderData.password" class="form-control" id="inputPassword" placeholder="" required="">
            </div>
        </div>

    

        <div class="form-row">
            <br />
            
            <div class="form-group col-md-12">
                <button [mat-dialog-close]="true" type="submit" class="btn btn-primary" (click)="registerProvider()">Register</button>

            </div>
        </div>



    </form>
</div>

